module ModTest11 interface;

export
  ModTest = (i, j, k, p);

var
  i, j: integer;
  k: integer absolute i;

procedure p;

end.


module ModTest11 implementation;

procedure p;

begin
  writeln ('failed');
end;

end.



program Test(output);

import
  ModTest only (i);

begin
  i := -8;
  j := -9;  (* WRONG *)
  k := -10;  (* WRONG *)
  p;  (* WRONG *)
end.
